/**
 * Copyright (C) 2001  Miklos Reiter (see the file README for details on
 * how to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

import java.io.InputStreamReader;
import java.io.BufferedReader;

import noope.input.FileBlockReader;

import noope.core.Physics;

/**
 * This program reads a script from stdin, creates a FileBlockReader from it and runs the
 * corresponding simulation. It takes some other arguments, too.
 *
 * @author Miklos Reiter
 * @version 10-May-2001
 */
public class RunSimulation
{
    /**
     * This is the main function running the simulation.
     *
     *
     * 
     *
     */
    public static void main(String[] argv)
    {
	double dt = 0.001;
	double maxT = 10;
	
	FileBlockReader br = null;

	for (int i = 0; i < argv.length; i++)
	    {
		
	    }
	
	// construct the BufferedReader to get stuff from (stdin)
	BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
	
	// construct a BlockReader from it
	try
	    {
		br = new FileBlockReader(reader);
		Physics phys = new Physics(br);
		phys.run(maxT, dt);
		phys.dispose();
		System.exit(0);
	    }
	catch (java.io.IOException e)
	    {
		System.out.println("Exception occurred while reading from stdin.");
		System.out.println(e);
		System.out.println("Printing stack trace:");
		e.printStackTrace();
	    }
	catch (noope.input.StringBlockReaderException e)
	    {
		System.out.println("Failed to construct StringBlockReader.");
		System.out.println(e);
		System.out.println(e.getLocation());
	    }
	catch (noope.input.BRLoadingException e)
	    {
		System.out.println("Error while loading Physics.");
		System.out.println(e);
		System.out.println(e.getLocation());
		System.out.println(br.getContext(e.getLocation()));
	    }
	System.exit(1); // error if got this far!
    }
}
