/**
 * Copyright (C) 2001  Miklos Reiter (see the file README for details on
 * how to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package test;

/* TestArrayBlockReader, Miklos Reiter, 21 March 2001
 * Program to test the ArrayBlockReader class
 */

import noope.input.*;

public class TestArrayBlockReader
{
    public static void main(String[] argv)
    {
	String header, parameter;
	String[][] entries;
	BlockReader[] subblocks;
	ArrayBlockReader br, br1, br2, br3;
	
	// br1
	header = "br1";
	parameter = "br1_param";
	entries = new String[][] {{"br1_key1", "br1_value1"}, {"br1_key2", "br1_value2"}};
	subblocks = new BlockReader[0];
	br1 = new ArrayBlockReader(header, parameter, entries, subblocks);
	
	// br2
	header = "br2";
	parameter = "br2_param";
	entries = new String[][] {{"br2_key1", "br2_value1"}};
	subblocks = new BlockReader[1];
	subblocks[0] = br1;
	br2 = new ArrayBlockReader(header, parameter, entries, subblocks);
	
	// br3
	header = "br3";
	parameter = "br2_param";
	entries = new String[][] {};
	subblocks = new BlockReader[] {};
	br3 = new ArrayBlockReader(header, parameter, entries, subblocks);

	// br
	header = "myHeader";
	parameter = "myParam";
	entries = new String[][] {{"key1", "value1"}, {"key2", "value2"}, {"key3", "value3"}};
	subblocks = new BlockReader[3];
	subblocks[0] = br1;
	subblocks[1] = br2;
	subblocks[2] = br3;

	br = new ArrayBlockReader(header, parameter, entries, subblocks);

	System.out.println("Printing ArrayBlockReader created:");
	System.out.println(br.toString());
	System.out.println("Now Printint it again:");
	System.out.println(br.toString());
    }
}
